%define rname qtermwidget

Name: 	 libqtermwidget
Version: 0.2.0
Release: alt2
Summary: Terminal emulation widget based on KDE4 Konsole, rewritten entirely with QT4 
Group: 	 System/Libraries
License: GPLv2
URL: 	 http://qtermwidget.sourceforge.net 

Packager: Andrey Cherepanov <cas@altlinux.org> 

Source:  %rname-%version.tar.gz

BuildRequires: gcc-c++ cmake qt4-devel
Conflicts: juffed-plugins <= 0.8.1-alt1

%description
QTermWidget is an opensource project based on KDE4 Konsole application.
The main goal of this project is to provide unicode-enabled, embeddable
QT widget for using as a built-in console (or terminal emulation
widget).

%package devel
Summary: Include files for QTermWidget
Group: 	 Development/KDE and QT
Requires: %name = %version

%description devel
Development package for QTermWidget. Contains headers, dev-libs,
and Qt4 designer plugin.

%prep
%setup -n %rname-%version

%build
cmake \
    -DCMAKE_C_FLAGS="%{optflags}" \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
     .
%make_build

%install
make DESTDIR=%buildroot install

%files
%doc AUTHORS COPYING Changelog INSTALL README
%_libdir/%name.so.*
%dir %_datadir/%rname
%_datadir/%rname

%files devel
%_includedir/*.h
%_libdir/%name.so
%_libdir/qt4/plugins/designer/%{name}plugin.so

%changelog
* Tue Jan 25 2011 Andrey Cherepanov <cas@altlinux.org> 0.2.0-alt2
- Fix kb-layouts path detection

* Tue Jan 25 2011 Andrey Cherepanov <cas@altlinux.org> 0.2.0-alt1
- Build from upstream git

* Mon Jan 24 2011 Andrey Cherepanov <cas@altlinux.org> 0.1.0-alt3
- Fix Conflicts to deprecated juffed-plugins

* Mon Jan 24 2011 Andrey Cherepanov <cas@altlinux.org> 0.1.0-alt2
- Add symlinks to the library and libqtermwidget-devel package

* Thu Jan 20 2011 Andrey Cherepanov <cas@altlinux.org> 0.1.0-alt1
- Initial build to Sisyphus

